<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
       xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="SCHEDULE">
    <HTML>
      <HEAD>
        <TITLE>
          TV Listings <xsl:value-of select="@DATE"/>
        </TITLE>
      </HEAD>
      <BODY>
        <H1>TV Listings <xsl:value-of select="@DATE"/></H1>

        <xsl:for-each select="STATION">
          <H2>
            <xsl:value-of select="@NETWORK"/>
            <xsl:value-of select="@CALL_LETTERS"/>
            <xsl:value-of select="@CHANNEL"/>
          </H2>
        </xsl:for-each>

        <HR></HR>
        Copyright 2003
        <A HREF="http://www.elharo.com">
         Elliotte Rusty Harold
        </A>
        <BR />
        <A HREF="mailto:elharo@metalab.unc.edu">
         elharo@metalab.unc.edu
        </A>

      </BODY>
    </HTML>
  </xsl:template>

</xsl:stylesheet>

