<!-- ..................................................... -->
<!-- Genealogy Namespace Module  ......................... -->
<!-- file: genealogy-namespace.mod

     Copyright 2004 Elliotte Rusty Harold, 
     All Rights Reserved.

     This DTD module is identified by the PUBLIC and SYSTEM
     identifiers:

    PUBLIC "-//ERH//Genealogy Namespace Parts 1.0//EN"
    SYSTEM "genealogy-namespace.mod"

    ..................................................... -->

<!-- Genealogy Namespace

     This module declares parameter entities to support
     namespace-qualified names, namespace declarations, and
     name prefixing for the genealogy application developed
     in Chapter 25 of the XML Bible.

-->

<!-- 1. Declare the parameter entity containing
        the namespace URI for the genealogy namespace: -->

<!ENTITY % GENEALOGY.xmlns  "http://ns.cafeconleche.org/genealogy/" >

<!-- 2. Declare the parameter entity containing
        the default namespace prefix string to use when 
        prefixing is enabled. This may be overridden. -->

<!ENTITY % SMIL.prefix  "" >

<!-- 3. Declare a %GENEALOGY.prefixed; conditional section
        keyword, used to activate namespace prefixing. The
        default is not to use prefixing. -->
<!ENTITY % GENEALOGY.prefixed "IGNORE" >

<!-- 4. Declare parameter entities containing the
        prefix used when prefixing is active, an empty
        string when it is not.
-->
<![%GENEALOGY.prefixed;[
<!ENTITY % GENEALOGY.pfx  "%GENEALOGY.prefix;:" >
]]>
<!ENTITY % GENEALOGY.pfx  "" >

