<!-- ..................................................... -->
<!-- Genealogy Qualified Names Module  ................... -->
<!-- file: genealogy-qname.mod

     Copyright 2004 Elliotte Rusty Harold

This DTD module is identified by the PUBLIC and SYSTEM
identifiers:

    PUBLIC "-//ERH//Genealogy Qualified Names 1.0//EN"
    SYSTEM "genealogy-qname.mod"

     ..................................................... -->

<!-- Genealogy Qualified Names

     This module declares parameter entities to support
     namespace-qualified names for the genealogy application
     developed in Chapter 25 of the XML Bible.

-->

<!-- module: person.mod -->
<!ENTITY % PERSON.qname    "%GENEALOGY.pfx;PERSON" >
<!ENTITY % REFERENCE.qname "%GENEALOGY.pfx;REFERENCE" >
<!ENTITY % BIRTH.qname     "%GENEALOGY.pfx;BIRTH" >
<!ENTITY % BAPTISM.qname   "%GENEALOGY.pfx;BAPTISM" >
<!ENTITY % DEATH.qname     "%GENEALOGY.pfx;DEATH" >
<!ENTITY % PLACE.qname     "%GENEALOGY.pfx;PLACE" >
<!ENTITY % DATE.qname      "%GENEALOGY.pfx;DATE" >
<!ENTITY % SPOUSE.qname    "%GENEALOGY.pfx;SPOUSE" >
<!ENTITY % FATHER.qname    "%GENEALOGY.pfx;FATHER" >
<!ENTITY % MOTHER.qname    "%GENEALOGY.pfx;MOTHER" >
<!ENTITY % NAME.qname      "%GENEALOGY.pfx;NAME" >
<!ENTITY % GIVEN.qname     "%GENEALOGY.pfx;GIVEN" >
<!ENTITY % SURNAME.qname   "%GENEALOGY.pfx;SURNAME" >
<!ENTITY % NOTE.qname      "%GENEALOGY.pfx;NOTE" >

<!-- module: family.mod -->
<!ENTITY % HUSBAND.qname   "%GENEALOGY.pfx;HUSBAND" >
<!ENTITY % WIFE.qname      "%GENEALOGY.pfx;WIFE" >
<!ENTITY % CHILD.qname     "%GENEALOGY.pfx;CHILD" >
<!ENTITY % DIVORCE.qname   "%GENEALOGY.pfx;DIVORCE" >
<!ENTITY % MARRIAGE.qname  "%GENEALOGY.pfx;MARRIAGE" >

<!-- module: source.mod -->
<!ENTITY % SOURCE.qname    "%GENEALOGY.pfx;SOURCE" >

<!-- module: family_tree.mod -->
<!ENTITY % FAMILY_TREE.qname "%GENEALOGY.pfx;FAMILY_TREE" >

<!-- end of genealogy-qname-1.mod -->

